Name: swarp
Version: 2.19.1
Release: 2%{?dist}
Summary: Tool that resamples and co-adds together FITS images

Group: Applications/Engineering
License: CeCILL
URL: http://www.astromatic.net/software/%{name}
Source0: ftp://ftp.iap.fr/pub/from_users/bertin/%{name}/%{name}-%{version}.tar.gz
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
SWarp is a program that resamples and co-adds together FITS images 
using any arbitrary astrometric projection defined in the WCS standard. 

%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q

%build
%configure --enable-threads
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYRIGHT HISTORY README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/manx/*
%{_datadir}/%{name}/

%files doc
%defattr(-,root,root,-)
%doc COPYRIGHT doc/swarp.pdf 

%changelog
* Tue Jan 18 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 2.19.1-2
- EVR bump to rebuild

* Mon Dec 13 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 2.19.1-1
- New upstream version
- Removed patch, it's in upstream now

* Fri Jul 09 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 2.17.6-2
- License in -doc subpackage

* Tue Mar 30 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 2.17.6-1
- New version from astromatic.iap.fr. 
- License is Cecill know
- Documentation in -doc subpackage

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.17.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> 2.17.1-3
- Include unowned /usr/share/swarp directory

* Sat Jun 21 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.17.1-2
- Spec cleanup

* Tue Jun 19 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.17.1-1
- Initial spec file.
